Delete

  • DEL
  • /workspaces
  • /:workspace_domain
  • /projects
  • /:project_name
  • /unit-tests
  • /suites
  • /:suite_id
  • /sessions
  • /:id

Delete a test session

Request

REQUIRED SCOPES
UNIT_TEST_MANAGE
URL PARAMETERS
workspace_domainrequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

suite_idrequiredstring
The ID of the unit test suite

Example: "MNbyVedg"

idrequiredstring
The ID of the test session

Example: "r4nBYXVq"

Last modified on Jan 26, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace_domain/projects/:project_name/unit-tests/suites/:suite_id/sessions/:id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 Test session deleted successfully